Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056221 - ibus-typing-booster integration with terminal applications and Gnome Shell overview
Summary: ibus-typing-booster integration with terminal applications and Gnome Shell ov...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ibus-typing-booster
Version: 7.0
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: rc
: 7.0
Assignee: Mike FABIAN
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 17:35 UTC by Martin
Modified: 2014-09-15 00:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-13 15:09:04 UTC


Attachments (Terms of Use)

Description Martin 2014-01-21 17:35:42 UTC
Version-Release number of selected component (if applicable):
RHEL-7.0-20140109.n.0

 1. Launch Region and Language (Settings -> Region and Language)
 2. In "Input Sources" click on the "+".
 3. Search for: "english us hunspell".
 4. Select option under "English (United States)".
 5. Select "English (English - US (Hunspell))" in Gnome Shell.
 6. Run terminal and use it.

Actual results: 
ibus-typing-booster suggestions doesn't work well while working with terminal applications (gnome-terminal, konsole, xterm).

1) Suggestions breaks terminal usability (excessive spaces)
2) ibus-typing-booster learns lot of new suggestions, which are useless outside of terminal.
3) Entering password (for su, sudo, ssh etc.) in terminal is a large security issue. ibus-typing-booster stores alphabet part of password and provides it in suggestions.

Expected results:
ibus-typing-booster should be implicitly disabled in all terminal applications.

Comment 1 Martin 2014-01-21 17:49:26 UTC
Same problem is in Gnome Shell activity view, when typing into search field, no search results are provided.

Comment 2 Mike FABIAN 2014-02-13 15:09:04 UTC
This is the case with *all* input methods, not only ibus-typing booster.

Just as an example, if you use the Japanese input method ibus-kkc,
you also cannot get any search results in the Gnome Shell activity view
while the current string is still in preedit and not yet committed.

The input methods can also not know whether a password is to be typed
in a terminal. For password entry fields in Gnome, for example in the 
lock screen, the input methods can be disabled because in this case
the input method can detect that this is a password entry field. But not
for password prompts in terminals.

Disabling ibus-typing-booster always in terminals is not a good idea either
because even in terminals one might want to enter text, for example one might
use an IRC client in a terminal or an editor.

That is the same for all other input methods as well, it is not specific to
ibus-typing-booster.

If you never need it in a terminal, you might like the option to have different
input methods per window:

   gnome-control-center region

Click on [Options] there and select

   ◎ Allow different sources for each window.

Then you can switch to a regular keyboard layout in a terminal window
(using the input method indicator in the gnome-panel or the Super-Space
Hotkey) and this will be remembered for that terminal window, if you
focus some other window and then come back to that terminal window,
it will go back to the keyboard layout you selected automatically.

→ WONTFIX.

(Nothing we can do here, that is just the way it is with input methods).


Note You need to log in before you can comment on or make changes to this bug.